package ai.java.back.controller;

import ai.java.back.entity.DailyQuestionInfo;
import ai.java.back.service.DailyQuestionInfoService;
import ai.java.back.model.DateRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/disease")
public class DailyQuestionInfoController {
    @Autowired
    private DailyQuestionInfoService dailyQuestionInfoService;

    @PostMapping("/by-date")
    public DailyQuestionInfo getDiseaseByDate(@RequestBody DateRequest request) {
        return dailyQuestionInfoService.getOrGenerateDiseaseByDate(request.getDate());
    }
}
