package ai.java.back.repository;

import ai.java.back.entity.DailyQuestionInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.Optional;

@Repository
public interface DailyQuestionInfoRepository extends JpaRepository<DailyQuestionInfo, Integer> {
    Optional<DailyQuestionInfo> findByDateTime(LocalDate dateTime);
}
